Gallery Platform API
Reference

List deals

Lists the gallery's pipeline deals with cursor pagination. Filter by `status`, `stage_id`, or `contact_id`.

GET
/gallery/deals

Lists the gallery's pipeline deals with cursor pagination. Filter by status, stage_id, or contact_id.

Authorization

bearerAuth deals:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: deals:read

Query Parameters

limit?integer
Range1 <= value <= 200
Default100
cursor?string
status?string

Value in

  • "open"
  • "won"
  • "lost"
stage_id?string
contact_id?string
tag_id?array<string>
Items1 <= items <= 10

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "data": [    {      "id": "string",      "contact_id": "string",      "stage_id": "string",      "title": "string",      "status": "open",      "expected_value_cents": -9007199254740991,      "currency": "string",      "owner_id": "string",      "expected_close_date": "string",      "won_sale_id": "string",      "notes": "string",      "position": -9007199254740991,      "metadata": {        "property1": "string",        "property2": "string"      },      "created_at": "string",      "updated_at": "string"    }  ],  "next_cursor": "string"}